Subject: Re: [BUG] ls-files showing deleted files (unchecked lstat return value)

From: SZEDER Gábor <[email-masked]>
Date: Mon, 18 Feb 2019 16:17:25 +0100

On Sun, Feb 17, 2019 at 08:49:39AM -0500, Joe Ranieri wrote:
> "git ls-files -m" can show deleted files, despite -d not having been
> specified. 

To my understanding that's intentional: a deleted file is considered
modified, because its content clearly doesn't match the tracked
content.

> This is due to ls-files.c's show_files function calling lstat but
> not checking the return value before calling ie_modified with the
> uninitialized stat structure.
> 
> This problem was found using the static analysis tool GrammaTech CodeSonar.